---
id: 66cc172af7159a7c67804544
title: Step 12
challengeType: 1
dashedName: step-12
---

# --description--

Now it is time to add the multiplication functionality to your calculator.

Declare a function called `calculateProduct` that takes two parameters, `num1` and `num2`.

Inside the function, return the product of the two parameters.

Then, add a `console.log` that calls the `calculateProduct` function with the arguments `13` and `5`.

# --hints--

You should have a function called `calculateProduct`.

```js
assert.isFunction(calculateProduct);
```

Your `calculateProduct` function should have two parameters called `num1` and `num2`.

```js
const regex = __helpers.functionRegex('calculateProduct', ['num1', 'num2']);
assert.match(__helpers.removeJSComments(code), regex);
```

Your `calculateProduct` function should return the product of the two parameters.

```js
assert.equal(calculateProduct(5, 2), 10);
assert.equal(calculateProduct(10, 5), 50);
```

You should have a `console.log` that calls the `calculateProduct` function with the arguments `13` and `5`.

```js
assert.match(code, /console\.log\s*\(\s*calculateProduct\s*\(\s*13\s*,\s*5\s*\)\s*\)\s*;?/);
```

# --seed--

## --seed-contents--

```js
function calculateSum(num1, num2) {
  return num1 + num2;
}

console.log(calculateSum(2, 5));
console.log(calculateSum(10, 10));
console.log(calculateSum(5, 5));

function calculateDifference(num1, num2) {
  return num1 - num2;
}

console.log(calculateDifference(22, 5));
console.log(calculateDifference(12, 1));
console.log(calculateDifference(17, 9));

--fcc-editable-region--

--fcc-editable-region--
```
